> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custody Commission

> Get a custody commission



## OpenAPI

````yaml /openapi.json get /custody-commissions/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /custody-commissions/{id}:
    get:
      tags:
        - Custody Commission
      summary: Get Custody Commission
      description: Get a custody commission
      operationId: getCustodyCommission
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the custody commission to get
          schema:
            type: string
      responses:
        '200':
          description: The custody commission has been successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustodyCommission'
        '404':
          description: The custody commission could not be found
components:
  schemas:
    CustodyCommission:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the custody commission
          example: 123e4567-e89b-12d3-a456-426614174000
        identifier:
          type: string
          description: The unique identifier for this commission
          example: commission123
        registeredConsumers:
          description: List of registered consumer IDs
          example:
            - consumer1
            - consumer2
          type: array
          items:
            type: string
        createdAt:
          format: date-time
          type: string
          description: When the custody commission was created
          example: '2024-03-20T12:00:00Z'
        updatedAt:
          format: date-time
          type: string
          description: When the custody commission was last updated
          example: '2024-03-20T12:00:00Z'
      required:
        - id
        - identifier
        - registeredConsumers
        - createdAt
        - updatedAt

````